# Uses of Class
com.google.protobuf.GeneratedMessageV3.Builder

Packages that use GeneratedMessageV3.Builder
Package
Description
com.google.protobuf
com.ocient.jdbc

## Uses of GeneratedMessageV3.Builder in com.google.protobuf

Classes in com.google.protobuf with type parameters of type GeneratedMessageV3.Builder
Modifier and Type
Class
Description
`static class`
`GeneratedMessageV3.Builder<BuilderT extends GeneratedMessageV3.Builder<BuilderT>>`
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x).
Subclasses of GeneratedMessageV3.Builder in com.google.protobuf
Modifier and Type
Class
Description
`static class`
`GeneratedMessageV3.ExtendableBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>`
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x).
Constructors in com.google.protobuf with parameters of type GeneratedMessageV3.Builder
Modifier
Constructor
Description
`protected`
`GeneratedMessageV3(GeneratedMessageV3.Builder<?> builder)`
Deprecated.

## Uses of GeneratedMessageV3.Builder in com.ocient.jdbc

Methods in com.ocient.jdbc with type parameters of type GeneratedMessageV3.Builder
Modifier and Type
Method
Description
`protected static <Response, ResponseBuilder extends GeneratedMessageV3.Builder<?>>
Response`
XGConnection.`deserializeProto(ResponseBuilder builder, io.netty.buffer.ByteBuf wireMessage)`
Deserializes a protobuf message from a ByteBuf.